org.apache.coyote.http2

## Class StreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.coyote.http2.Http2Exception
      - - org.apache.coyote.http2.StreamException

- All Implemented Interfaces:
    Serializable

      public class StreamException
      extends Http2Exception

  Thrown when an HTTP/2 stream error occurs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamException(String msg, Http2Error error, int streamId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStreamId()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamException

          public StreamException(String msg,
                         Http2Error error,
                         int streamId)

  - ### Method Detail

    - #### getStreamId

          public int getStreamId()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.